
QGIS Application - Feature request #3851

Allow tolerating self-touching rings forming holes as valid

2011-05-27 09:01 AM - Sandro Santilli

Status: Closed

Priority: Low

Assignee: cfarmer -

Category: Processing/QGIS

Pull Request or Patch supplied: Resolution:

Easy fix?: Copied to github as #: 13909

Description

Self-touching rings forming holes are invalid as per OGC specifications but are valid for some other common GIS softwares.

GEOS recently introduced a flag to specify whether or not to consider them an invalidity, would be nice to have the same possibility with

ftools.

Associated revisions

Revision b9b9bc31 - 2014-02-17 09:40 PM - Jürgen Fischer

geometry validation: don't consider touching lines as intersection (fixes #3851, fixes #7501, fixes #9580)

History

#1 - 2011-05-27 10:14 AM - Jürgen Fischer

do you have a sample dataset?

#2 - 2011-05-27 11:30 AM - Giovanni Manghi

Hi Jurgen, attached a sample shapefile

#3 - 2011-12-16 12:44 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#4 - 2012-04-15 10:09 AM - Giovanni Manghi

- Target version changed from Version 1.7.4 to Version 2.0.0

#5 - 2012-10-06 02:35 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#6 - 2014-02-17 12:42 PM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"b9b9bc31b3ba63b06def835dbb01772134661856".

#7 - 2017-05-01 01:23 AM - Giovanni Manghi
The "ftools" category is being removed from the tracker, changing the category of this ticket to "Processing/QGIS" to not leave the category orphaned.

Files

matriz_epsg3763_from_grass_shp.zip 156 KB 2011-05-27 Giovanni Manghi
